
Figure - Bug #114993
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT2】【游戏模式】打开音视频通话屏蔽模式后，在游戏中接收到的音视频通话时没有被自动挂断
2022-12-30 16:11 - CD Test赵飞

Status: CLOSED Start date: 2022-12-30

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0063.X101

Resolution: WONTFIX Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 微信语音或视频通话无法在微信外部挂断。

Description

【前提条件】

1、设备已开机

2、游戏模式开启

3、防打扰设置 - 音视频语音 - 屏蔽通话开关已打开

4、已安装音视频通话软件并登录账号，如微信

【测试步骤】

1、打开游戏并运行

2、使用辅助手机向设备登录微信账号拨打语音电话

【预期结果】

2、语音电话自动被挂断

【实际结果】

3、语音电话没有被自动挂断

History

#1 - 2023-01-03 17:33 - CD FW-廖涛

- Status changed from New to RESOLVED

- Resolution changed from -- to WONTFIX

- Degrated changed from -- to No

- Root cause set to 微信语音或视频通话无法在微信外部挂断。

■ Current conclusion

无需处理。

■ My analysis

微信语音或视频通话无法在微信外部挂断，系统仅能屏蔽微信通知弹出。

■ Next action

测试验证。
#2 - 2023-01-03 18:05 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to 方案组-RD3_CDTS 王浩云

哈喽，浩云：

如飞书沟通，麻烦回复下该票，然后转给测试。

#3 - 2023-01-03 18:12 - 方案组-RD3_CDTS 王浩云

- Assignee changed from 方案组-RD3_CDTS 王浩云 to CD Test赵飞

1. 基础能力，屏蔽通话的通知：

    和客户沟通过，三方的语音通话能力是应用自己做的，目前可以限制屏蔽通话的通知，如果是应用自身通过逻辑直接启动的Activity，无法拦截。

2. 加分能力（可选）：针对语音，视频自动通话挂断拒接的功能进行技术调研，若有可行方案，考虑移植，研发需要给出调研结果，可参考（小米，华

为，魅族）

#4 - 2023-01-04 14:11 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

三方应用语音系统无法拦截，语音通话通知屏蔽已实现

暂时关闭此问题

#5 - 2023-01-04 14:12 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

logcat.txt 6.61 MB 2022-12-30 CD Test赵飞
